## org.jboss.tm.plugins.tyrex
Interface CoordinatorRemoteInterface

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  CoordinatorRemote

public interface CoordinatorRemoteInterface
extends java.rmi.Remote

Subset of the org.omg.CosTransactions.Coordinator interface necessary to register a remote subordinate transaction

Version:
  $Revision: 1.1 $
Author:
  Anatoly Akkerman
See Also:

Method Summary
`void` `register_resource(org.omg.CosTransactions.Resource serializableResource)`

Method Detail

### register_resource

    public void register_resource(org.omg.CosTransactions.Resource serializableResource)
                           throws org.omg.CosTransactions.Inactive,
                                  java.rmi.RemoteException

Copyright © 2000 The JBoss Organization. All Rights Reserved.